Package org.springframework.aop.aspectj

# Class ShadowMatchUtils

java.lang.Object
org.springframework.aop.aspectj.ShadowMatchUtils

public abstract class ShadowMatchUtils extends Object
Internal `ShadowMatch` utilities.

Since:
  6.2
Author:
  Stephane Nicoll, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ShadowMatchUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearCache()`
Clear the cache of computed `ShadowMatch` instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShadowMatchUtils

public ShadowMatchUtils()

## Method Details

### clearCache

public static void clearCache()
Clear the cache of computed `ShadowMatch` instances.